# this can be removed and inserted into a basic container in the future
default:
  image: ubuntu:latest

stages:
  - build
  - deploy

sphinx:
  stage: build
  variables:
    PYTHON: python3
  before_script:
    - export DEBIAN_FRONTEND=noninteractive
    - apt update && apt -y install make python3-sphinx python3-sphinx-bootstrap-theme python3-numpy python3-matplotlib python3-distutils python3-pytest git
    - pip3 install nbval
  script:
    - sphinx-build -M html doc build
  after_script:
    - mkdir errors
    - cp tmp/* errors
  artifacts:
    when: always
    paths:
      - "errors"
      - "build/html"

pages:
  stage: deploy
  before_script:
    - echo -n
  script:
    - mv build/html/ ${CI_PROJECT_DIR}/public/
    - mv tmp/${CI_PROJECT_NAME}*.tar.bz2 ${CI_PROJECT_DIR}/public/
    - mv lib${CI_PROJECT_NAME}*.deb ${CI_PROJECT_DIR}/public/
    - mv report/ ${CI_PROJECT_DIR}/public/
  artifacts:
    paths:
      - public
